package com.yanzuoguang.cloud.aop;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * 虚拟拦截类
 */
public abstract class AbstractValidateAspect {

    /**
     * 获取 http request
     *
     * @return
     */
    protected static HttpServletRequest getRequest() {
        return ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
    }

    /**
     * 获取 http request url
     *
     * @return
     */
    protected static String getHttpRequestUrl() {
        return getRequest().getServletPath();
    }
}
